/* JobServer 3.6.2 beta2 sql for oracle database */

INSERT INTO js_dbversion VALUES ('3.6.2',SYSTIMESTAMP);

alter table js_res_grp add iMesosCpu number(10) DEFAULT -1;
alter table js_res_grp add tMesosQType number(2) DEFAULT 0;

alter table js_systemprops add stMesosMasterURL varchar2(255) DEFAULT '';
alter table js_systemprops add bAcceptOffers number(1) DEFAULT 1;  /* 1 yes, 2 no */
alter table js_systemprops add stMesosUser varchar2(32) DEFAULT '';
alter table js_systemprops add stMesosPass varchar2(64) DEFAULT '';

alter table js_job add iMesosCPU number(10) DEFAULT -1;
alter table js_job add iMesosMem number(10) DEFAULT -1;
alter table js_job add tExecutorType number(2) DEFAULT 0; /* 0 cmd executor, 1 JS executor */
alter table js_job add stCmdScript varchar2(1024);

CREATE TABLE js_mesosrun
(
 idrun number(20) not null, /* sequence  seq_wbstatus */
 idjob number(20) not null,
 idresgrp number(20) not null,
 iCpuRequest number(10) not null, /* x10 */
 iMemRequest number(10) not null,
 iCpuUtil number(10) DEFAULT 0, /* x10000 */
 iMemUtil number(10) DEFAULT 0, /* meg */
 stServerName varchar2(64) not null,
 stServerID char(40) not null,
 stExecutorID char(40) not null,
 stTaskID char(40) not null,
 dtHeartbeat date not null,
 tExecutorType number(2) DEFAULT 0, /* 0 cmd executor, 1 JS executor */
 stCmdScript varchar2(1024),

 CONSTRAINT js_mesosrun_pk PRIMARY KEY (idRun)
 );